{
	"format_version": "1.18.0",
	"animation_controllers": {
		"controller.animation.storm_cloud.teleport": {
			"states": {
				"default": {
					"on_entry": [
						"/execute positioned ^^-4^ as @e[tag=Chilled,r=3] at @e[tag=Chilled,r=3] anchored eyes run tp @e[type=ldz:storm_cloud,r=3] ^^1^"
					],
					"transitions": [
						{ "loop": "1" }
					]
				},
				"loop": {
					"on_entry": [
						"/execute positioned ^^-4^ as @e[tag=Chilled,r=3] at @e[tag=Chilled,r=3] anchored eyes run tp @e[type=ldz:storm_cloud,r=3] ^^1^"
					],
					"transitions": [
						{ "default": "1" }
					]
				}
			}
		}		
	}
}